[OT] Compatibilita MapServer e ArcGIS

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

[OT] Compatibilita MapServer e ArcGIS

Andrea Peri
Salve,

la segnalazione sembra OT, ma in realta' non lo è.

La giro alla ML perche' ritengo che sia utile a chi gestisce i servizi interattivi.
E se per caso avessero anche una soluzione pratica, mi farebbe piacere conscerla. :)

Sembra che ArcGIS 9.3.1 non sia compatibile con lo standard WMS 1.3.0 che (per inciso) e' quello richiesto da Inspire.

Noi abbiamo appena messo in linea Casto_WMS che e' basato esclusivamente su WMS 1.3.0.
Il risultato e' che gli utenti che impiegnao arcgis 9.3.1 stanno avendo problemi a accedervi.

Ho indagato un po' ed ecco il thread del forum esri ove sta scritto tante cose, tra cui che arcgis 9.3.1 non è compatibile con wms 1.3.0

La soluzione ipotizzata sul sito esri non è molto pratica a mio parere.

chiedere ai guys di mapserver di allentare il loro prodotto perche' si fa' prima che ad aspettare una patch da esri.

http://forums.esri.com/Thread.asp?c=93&f=1149&t=281244

Sto valutando di mettere in piedi una versione 1.1.1, ma mi secca perche' devo tenere in piedi un doppione (e quindi doppio lavoro) per accontentare gli utenti arcgis. :(

Qualcuno ha gia' avuto esperienze su questo problema ed eventualmente trovato una soluzione che faccia restare nel recinto inspire ?

Grazie,

--
-----------------
Andrea Peri
. . . . . . . . .
qwerty àèìòù
-----------------


_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
Non inviate messaggi commerciali.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
605 iscritti al 10.7.2012
Reply | Threaded
Open this post in threaded view
|

Re: [OT] Compatibilita MapServer e ArcGIS

Giovanni Manghi-2

> Qualcuno ha gia' avuto esperienze su questo problema ed eventualmente
> trovato una soluzione che faccia restare nel recinto inspire ?

ho dovuto recentemente creare dei servizi WMS/WFS (con Mapserver e QGIS
Server) che fossero perlomeno utilizzabili da utenti QGIS e Arc*.

Mi sembra che Arc 10 funzioni bene con i WMS fatti con QGIS Server, che
dovrebbero essere 1.3, oggi ri-controlleró (sui pc del cliente, sia ben
inteso :) ) e faró il test anche su 9.3.

Invece sono rimasto molto sorpreso dal supporto al WFS su Arc*, che di
default semplicemente non c'é (se dico ca@@ate qualcuno mi fermi). Serve
una "data interoperability extension" che va installata a parte anche da
chi ha una licenza "full optional" (o come cavolo si chiama), e non ho
capito neppure se chi ha licenze meno care puó installare questa
estensione, magari a pagamento.

-- Giovanni --

_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
Non inviate messaggi commerciali.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
605 iscritti al 10.7.2012
Reply | Threaded
Open this post in threaded view
|

Re: [OT] Compatibilita MapServer e ArcGIS

Sandro Santilli
In reply to this post by Andrea Peri
On Thu, Jul 19, 2012 at 08:59:52AM +0200, Andrea Peri wrote:

> Ho indagato un po' ed ecco il thread del forum esri ove sta scritto tante
> cose, tra cui che arcgis 9.3.1 non è compatibile con wms 1.3.0
...
> Qualcuno ha gia' avuto esperienze su questo problema ed eventualmente
> trovato una soluzione che faccia restare nel recinto inspire ?

Automatizzare la notifica del problema agli utilizzatori di arcgis
suggerendo alternative libere e funzionanti sarebbe possibile ?

Non so, attraverso una cosa tipo fare il parsing dello User-Agent ?
Ed inviare un errore con un link che punta su una pagina del sito
del servizio dove e' illustrato il problema e le soluzioni, con tanto
di mirror dei pacchetti liberi (cosi' vi fate pure una statistica
di quanti li scaricano).

Non sarebbe poi male linkare pure alle voci di bilancio che illustrano
i costi che sostengono le amministrazioni pubbliche per acquistare le
licenze d'uso di tali sistemi (rotti).

Ultima cosa. Se non sbaglio e' possibile specificare la versione del
WMS nella stessa URL, quindi un workaround potrebbe essere quello di
chiedere una versione precedente (da scrivere in pagina:)

--strk;
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
Non inviate messaggi commerciali.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
605 iscritti al 10.7.2012
Reply | Threaded
Open this post in threaded view
|

Re: [OT] Compatibilita MapServer e ArcGIS

Anne Ghisla-2
On Thu, 19 Jul 2012 10:59:47 +0200
Sandro Santilli <[hidden email]> wrote:

> On Thu, Jul 19, 2012 at 08:59:52AM +0200, Andrea Peri wrote:
>
> > Ho indagato un po' ed ecco il thread del forum esri ove sta scritto
> > tante cose, tra cui che arcgis 9.3.1 non è compatibile con wms 1.3.0
> ...
> > Qualcuno ha gia' avuto esperienze su questo problema ed
> > eventualmente trovato una soluzione che faccia restare nel recinto
> > inspire ?
>
> Automatizzare la notifica del problema agli utilizzatori di arcgis
> suggerendo alternative libere e funzionanti sarebbe possibile ?
>
> Non so, attraverso una cosa tipo fare il parsing dello User-Agent ?
> Ed inviare un errore con un link che punta su una pagina del sito
> del servizio dove e' illustrato il problema e le soluzioni, con tanto
> di mirror dei pacchetti liberi (cosi' vi fate pure una statistica
> di quanti li scaricano).
>
> Non sarebbe poi male linkare pure alle voci di bilancio che illustrano
> i costi che sostengono le amministrazioni pubbliche per acquistare le
> licenze d'uso di tali sistemi (rotti).
Due ottime idee.
Chiaramente si rivolgono all'utente finale che di solito non è quello
che decide cosa si compra, ma se una parte di questi molti utenti
porta queste osservazioni a chi di dovere, qualcosa potrebbe cambiare.

salumi,

Anne
--
http://wiki.osgeo.org/wiki/User:Aghisla

_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
Non inviate messaggi commerciali.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
605 iscritti al 10.7.2012

signature.asc (853 bytes) Download Attachment